BEGIN transaction;

-- 1 пополняет счет
UPDATE Account SET money=money+100 WHERE id=1;
-- 2 также параллельно с 1 поплняет счет
UPDATE Account SET money=money+150 WHERE id=1;
-- 1 и 2 коммитят изменения
COMMIT;

-- Пояснение
-- Необходимость в том,
-- чтобы две первые транзакции на первом уровне, выполнились последовательно,
-- и не произошло ситуации,
-- когда либо прибавилось 100, либо 150,
-- а всегда стабильно 250, это происходит за счет того,
-- что транзакция, которая выполняется второй,
-- видит незакоммиченные изменения первой,
-- в данном примере пополнения счета.

